// $Id$
# ifndef CPPAD_CORE_BOOL_VALUED_HPP
# define CPPAD_CORE_BOOL_VALUED_HPP

/* --------------------------------------------------------------------------
CppAD: C++ Algorithmic Differentiation: Copyright (C) 2003-16 Bradley M. Bell

CppAD is distributed under multiple licenses. This distribution is under
the terms of the
                    GNU General Public License Version 3.

A copy of this license is included in the COPYING file of this distribution.
Please visit http://www.coin-or.org/CppAD/ for information on other licenses.
-------------------------------------------------------------------------- */

/*
$begin BoolValued$$
$spell
	Bool
$$


$section Bool Valued Operations and Functions with AD Arguments$$

$children%
	cppad/core/compare.hpp%
	cppad/core/near_equal_ext.hpp%
	cppad/core/bool_fun.hpp%
	cppad/core/par_var.hpp%
	cppad/core/equal_op_seq.hpp
%$$
$table
$rref Compare$$
$rref NearEqualExt$$
$rref BoolFun$$
$rref ParVar$$
$rref EqualOpSeq$$
$tend


$end
*/

# include <cppad/core/compare.hpp>
# include <cppad/core/near_equal_ext.hpp>
# include <cppad/core/bool_fun.hpp>
# include <cppad/core/par_var.hpp>
# include <cppad/core/equal_op_seq.hpp>

# endif
